Welcome to Water Restrictions, your go-to source for up-to-date information on water restrictions in your area.Water Restrictions LogoWater Restrictions
EndpointsSchemes

Get Scheme

Gets a scheme by its ID. Includes detailed information about its stages.

GET
/v1/schemes/{schemeId}

Gets a scheme by its ID. Includes detailed information about its stages.

Path Parameters

schemeId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/schemes/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": null,
  "stages": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "severity": 0,
      "name": "string",
      "description": "string"
    }
  ]
}
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Empty